When creating a subtask, pre-fill fields Target version, Category & Start- and Due date based on

parent values
Status: Closed Start date: 2010-08-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When adding a subtask it takes a lot of time to fill the fields

1. Target version,

2. Category,

3. Start date and

4. Due date

again and again with the same (namely the parent's) values.

I think it is safe to assume, a subtask at least 'inherits' named fields from its parent.

Please add that when adding a new subtask to Redmine, each of said fields is pre-filled with the parent's values.

Related issues:

Related to Redmine - Feature #6117: subtasks default to parent issue target v... New 2010-08-12

Related to Redmine - Feature #13585: Make sub-task inherit the properties of ... New

Is duplicate of Redmine - Feature #13810: Copy Fields From Parent Ticket When... Closed

History

#1 - 2011-05-20 15:59 - Cassiano Monteiro

+1!

Not sure about the fields "Category", "Start Date" and "End Date", as they may be different from the parent task. But for sure the field "Version"

should be inherited, as it´s important to have the same version so the Gantt is displayed correctly.

#2 - 2011-05-27 15:49 - Scott Cunningham

+1 to inheriting the version.

#3 - 2011-11-24 20:20 - Mischa The Evil

- Subject changed from when creating a subtask, pre-fill fields Target Version, Category, Start and End Date  to When creating a subtask, pre-fill fields

Target version, Category & Start- and Due date 

#4 - 2011-11-24 20:21 - Mischa The Evil

- Subject changed from When creating a subtask, pre-fill fields Target version, Category & Start- and Due date  to When creating a subtask, pre-fill

fields Target version, Category & Start- and Due date based on parent values

#5 - 2012-06-27 11:25 - Mathias Kluba

+1

#6 - 2013-03-25 16:16 - Dipan Mehta

+1. This is useful. Also, if we combine this with #13561 - it would be very useful and neat.

For example, when you go by New issue you fill up the complete blank form. Where as when you go by 'Add sub-task' all fields come pre-filled.

However, this is not an ultimate solution. Nothing helps when sub-tasks has old information where as parent task is updated. See #13585 for more

details.
https://www.redmine.org/issues/13561
https://www.redmine.org/issues/13585


#7 - 2013-12-09 10:09 - Ketki Vahalia

+1

This is very useful. Every sprint we define the high level deliverable as a task, and then add the detailed subtasks assigned to individual engineers.

Having this functionality will make subtask creation much more efficient for us.

#8 - 2013-12-09 10:14 - john paul

+1

This is very useful. Every subtask it takes a lot of time to fill the fields

Fields:

Category

Target version

Customer

Sprint

Milestone

Features

External Ref

when adding a new subtask to Redmine, each of said fields is pre-filled with the parent's task  values.

#9 - 2013-12-09 10:16 - binnybintoo binnybintoo

+1

This is very very useful for us, when adding a new subtask to Redmine, each of said fields is pre-filled with the parent's task values.

#10 - 2014-07-02 08:55 - Tobias Maier

+1

Inheritance of the target version is a mandatory feature if You want to manage a project. Otherwise You need a check tool that checks if there are

accidentally subtasks that have a different target version than the parent (that is dangerous!).

I recommend that the project settings allow to configure each tracker field if it will be inherited from the parent (if there is a parent).

However, inheritance should only be a default proposal. Of course there are use cases where it makes sense to have different target versions, e.g.:

consider three target versions:

|----target version intermediate----♢0

|----target version release 1---------------------♢1

|----target version release 2----------------------------------♢2

Now consider tasks that are bound to target versions:    

Legal

|----task-----------------------------------------♢1

  +----sub task A-------------------♢0

  +----sub task B---------------------------------♢1

 Illegal

|----task-----------------------------------------♢1

  +----sub task A-------------------♢0

  +----sub task B----------------------------------------------♢2

#11 - 2014-07-14 09:37 - Edosoft Factory

You should checkout Subtasks Inherited Fields Plugin at https://github.com/edosoft/redmine-inherit-fields-plugin

#12 - 2018-06-21 09:38 - Go MAEDA

- Is duplicate of Feature #13810: Copy Fields From Parent Ticket When Adding a Subtask added

#13 - 2018-06-21 09:42 - Go MAEDA

- Status changed from New to Closed

The same feature request with #13810.
